Subject: bug#48404:

From: Daniel Mendler <[email-masked]>
Date: Fri, 14 May 2021 09:50:45 +0200

If the check does not work reliably for third-party packages, it should
probably better reverted altogether. Why slap an ignore-errors around
the broken code now?

According to the commit message, which introduced this bug, there has
been some alternative solution, which clearly sounds better: Either omit
obsolete commands altogether or annotate them as obsolete. Omitting is
probably too problematic since people may rely on running obsolete commands.

What about making the behavior around obsolete commands a customizable
option? 1. omit obsolete commands, 2. annotate obsolete commands, 3. do
nothing.